Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class Win32EventLogNotification

    java.lang.Object
      org.hyperic.hq.product.Win32EventLogNotification

All Implemented Interfaces:
  org.hyperic.sigar.win32.EventLogNotification

    public abstract class Win32EventLogNotification

extends Object
implements org.hyperic.sigar.win32.EventLogNotification

Base class for windows event notifications. This handles parsing the event record and sending it to HQ. All plugins sould subclass this class if they need to override the standard matches() function in the base class.

Field Summary
`static String` | `PROP_EVENT_LOGS`

Constructor Summary
`Win32EventLogNotification(LogTrackPlugin plugin)`

Method Summary
`String` | `getLogName()`
`void` | `handleNotification(org.hyperic.sigar.win32.EventLogRecord record)`
`abstract boolean` | `matches(org.hyperic.sigar.win32.EventLogRecord record)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_EVENT_LOGS

    public static final String PROP_EVENT_LOGS

See Also:
  Constant Field Values

Constructor Detail

### Win32EventLogNotification

    public Win32EventLogNotification(LogTrackPlugin plugin)

Method Detail

### matches

    public abstract boolean matches(org.hyperic.sigar.win32.EventLogRecord record)

  Specified by:
    `matches` in interface `org.hyperic.sigar.win32.EventLogNotification`

### getLogName

    public String getLogName()

### handleNotification

    public void handleNotification(org.hyperic.sigar.win32.EventLogRecord record)

  Specified by:
    `handleNotification` in interface `org.hyperic.sigar.win32.EventLogNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.